<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Обмен рейтинга на баллы сайта'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){




$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:
echo "<div class='page_foot'>";
echo 'Привет, '.$user['nick'].'!<br/>';
echo 'У тебя  <b>'.$user['rating'].'</b> рейтинга<br/></div>';

echo "<div class='gend'>";
echo 'Поменять их на Баллы по курсу 1 рейтинг = 100 баллов</div>';
echo "<div class='page_foot'>";
echo '<form action="obmen.php?action=change" method="post">';
echo 'Сколько рейтинга хотите поменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Менять"/></div>';
echo '</form>';
break;


case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['rating']<$num){echo 'У вас нет столько рейтинга!';break;};
$baks=$num*100;
mysql_query("UPDATE `user` SET `balls`=`balls`+'$baks',`rating`=`rating`-'$num' WHERE `id`='".$user['id']."'");
echo "<div class='gend'>";
echo ' '.$user['nick'].' , вы успешно обменяли рейтинг на баллы !</div>';
break;


};


}else{};
}else{
echo '<div class="guser_aut">Обменник рейтинга доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>